package com.chenyang.druid.sql.dialect.postgresql.ast.expr;

import com.chenyang.druid.sql.dialect.postgresql.visitor.PGASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class PGSchemaTables extends PGSQLObjectCollection {
   public void accept0(SQLASTVisitor visitor) {
      this.accept0((PGASTVisitor)visitor);
   }

   public void accept0(PGASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.datas);
      }

      visitor.endVisit(this);
   }
}
